Bug 286791 - RFE: support spaces in flavor name
RFE: support spaces in flavor name
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-11 15:38 EDT by David Cantrell
Modified: 2013-01-09 20:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-20 17:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2007-09-11 15:38:04 EDT
I want to be able to do --flavor="mortise restore"
Comment 1 Jesse Keating 2007-09-11 15:51:25 EDT
Eeew, I don't know if I want that, the Flavor is only used for the path, do you
really want spaces in your path?  The flavor doesn't show up anywhere in the
Comment 2 David Cantrell 2007-09-11 16:01:04 EDT
Yeah, why not?  This isn't DOS or a wiki.  We can have spaces.  It's more
descriptive that way.  Filenames shouldn't have \0 or /, everything else is game.

I'd really like to name my flavor "\a\a\a mortise\trestore!\n"   :)

If you don't want to do that, pungi should be more clear about what --flavor is
used for and what characters are legal.
Comment 3 Jesse Keating 2007-09-11 17:49:57 EDT
Hrm, looks like pungi dealt with spaces OK until it came time to run
buildinstall.  Buildinstall just didn't like a space in the name.  I'll need to
investigate either a way to make the pass off to buildinstall happier with
regard to paths or just limit flavor to no spaces and no funky chars.  Thanks
Comment 4 Jesse Keating 2007-11-20 17:13:11 EST
Filed and tracked as https://hosted.fedoraproject.org/projects/pungi/ticket/62

Note You need to log in before you can comment on or make changes to this bug.